在AMH面板中切换php5.2和 php5.3版本


nginx单版

Diahosting自主开发了switcher_php插件,可以在面板中直接对单独站点进行php5.2和php5.3版本间的切换。
该功能的目的是为了能够让某些只支持php5.2,而不支持php5.3版本的老程序得以延续使用。

默认情况下,使用的是php5.3,按以下教程进行平滑切换。

注意:php5.2在AMChroot的安全模式下无法正常执行php,但是可以访问静态页面,使用php5.2需要将对应站点保持在默认兼容模式


nginx与apache双版